Image 01
profile-image

cirrusgr

cirrus cirrus
test
Skippy

Various KDE 1.-4. Improvements 43 comments

Score 50.0%
May 19 2004
Excellent program! Has anyone managed to bind it to a keyhots mouse gesture? That would be really usefull, but i can't get it to work for some reason. - May 24 2004
Tellico

Database 163 comments

by robby
Score 75.3%
Jan 29 2019
Seems like a really helpful program, but I've got trouble compiling it.
The box is a Debian Stable with KDE3.2.0 and gcc 2.95. The error that i get is:
depmode=gcc /bin/sh ../../../../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I../../../.. -I/usr/include/kde -I/usr/share/qt3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -fno-exceptions -fno-check-new -fno-common -c -o DB.o `test -f 'DB.cpp' || echo './'`DB.cpp
DB.cpp: In method `void PalmLib::FlatFile::DB::make_record(PalmLib::Record &, const PalmLib::FlatFile::Record &) const':
DB.cpp:604: no matching function for call to `vector::at (unsigned int &) const'
DB.cpp:671: no matching function for call to `vector::at (unsigned int &) const'
make[5]: *** [DB.o] Error 1
If I compile that file using g++-3.0, it compiles fine, but I'have problems with the configure script not detecting qt libs for some reason.
That is trying: CXX=g++-3.0 ./configure --prefix=/usr says it doesn't find the qt libs even if i define --with-qt-libs=/usr/lib/qt3.
After examining config.log I found that i get the following:
/tmp/ccZuyKwH.o: In function `main':
/tmp/ccZuyKwH.o(.text+0xe): undefined reference to `QString::null'
/tmp/ccZuyKwH.o(.text+0x13): undefined reference to `QStyleFactory::create(QString const&)'
/tmp/ccZuyKwH.o(.text+0x20): undefined reference to `QCursor::QCursor[in-charge](int)'
/tmp/ccZuyKwH.o(.text+0x28): undefined reference to `QCursor::~QCursor [in-charge]()'
collect2: ld returned 1 exit status

Any ideas on how to solve this problem, with either gcc-2.95 or 3.0?
Thanks very much,
Cirrus - Feb 24 2004
SlickerStyle Debian Package

KDE 3.0-3.4 Themes 2 comments

Score 50.0%
May 28 2003
It seems that my packages only work on Woody.
I haven't tested them on Sid. - May 28 2003
Slicker Debian Package for Woody

Various KDE 1.-4. Improvements 5 comments

Score 50.0%
May 20 2003
I just updated the title to debian package for woody, cause it seems this package doesn't work in sid. No new upload was made. - May 21 2003